﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace DateTimePickerWithTime
{
    public partial class Form1 : Form
    {
        

        public Form1()
        {
            InitializeComponent();
        }

        private DateTime time;
        private void Form1_Load(object sender, EventArgs e)
        {
            RadDateTimePickerElement element = this.radDateTimePicker1.DateTimePickerElement;
            RadDateTimePickerCalendar calendarBehavior = element.GetCurrentBehavior() as RadDateTimePickerCalendar;
            calendarBehavior.PopupControl.Opened += new EventHandler(PopupControl_Opened);
            calendarBehavior.PopupControl.Closed += new RadPopupClosedEventHandler(PopupControl_Closed);
        }

        void PopupControl_Closed(object sender, RadPopupClosedEventArgs args)
        {
            DateTime date = this.radDateTimePicker1.Value.Date;
            this.radDateTimePicker1.Value = new DateTime(date.Year, date.Month, date.Day, this.time.Hour, this.time.Minute, this.time.Second);
        }

        void PopupControl_Opened(object sender, EventArgs e)
        {
            this.time = this.radDateTimePicker1.Value;
        }
    }
}
